* {
    box-sizing: border-box;
}

button,select,textarea,input,label {
    margin-top: 8px;
}

textarea {
    width: 100%;

    white-space: pre;
    overflow-wrap: normal;
    overflow-x: scroll;
}

pre {
    width: 100%;
}

/* Style it because <code> looks ugly in Chrome */
code, kbd, pre {
    margin: 0 2px;
    padding: 0px 5px;
    border: 1px solid #ddd;
    background-color: #f8f8f8;
    border-radius: 3px;
    overflow: scroll;
}

.container {
    max-width: 960px;
    margin: auto;

    display: flex;
    flex-direction: column;
    align-items: start;
}

.github-link {
    position: absolute;
    top: 20px;
    right: 20px;
}

.github-link img {
    width: 32px;
    height: 32px;
}

@media (prefers-color-scheme: dark) {
    body, input, select, button, textarea {
        color: #fff;
        background: #000;
    }

    code, kbd, pre {
        background-color: #444;
    }
}
